---
title: "Retrieve GL Periods By Code"
slug: "retrieve-gl-periods-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-gl-periods-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve GL Periods By Code

Get/glrestapi/rest/v1/glperiod

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select Period
- By UUID

#### Select Period

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| chartCode | Chart Code | 010 |

#### By UUID

This is an optional finder for querying a specific Department by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /glrestapi/rest/v1/glperiod/AAAXNtAAKAAOD9UAAa |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectPeriod;chartCode=010
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExamplePerSeqNum

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='473932c3-340a-46ce-b451-e3d48b59e7b4'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='110c0373-6a69-4fd6-91b9-7edeccb92c2f'>example-0</option>
<option value='740d1270-8491-48a0-9606-21c8aa976750'>example-1</option>
</select>example-0

Successful Response

```json
{
  "items": [
    {
      "PerAdjFlag": "N",
      "PerConschartCode": "010",
      "PerPer": 1,
      "PerYr": 2023,
      "PerStartDate": "2023-04-01",
      "PerEndDate": "2023-04-30",
      "PerOpenPeriodFlag": "Y",
      "PerSeqNum": null,
      "PerRowid": "AAAXNtAAKAAOD9UAAa",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glperiod/AAAXNtAAKAAOD9UAAa",
          "name": "glperiod",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glperiod/AAAXNtAAKAAOD9UAAa",
          "name": "glperiod",
          "kind": "item"
        }
      ]
    },
    {
      "PerAdjFlag": "N",
      "PerConschartCode": "010",
      "PerPer": 1,
      "PerYr": 2019,
      "PerStartDate": "2019-01-01",
      "PerEndDate": "2019-01-31",
      "PerOpenPeriodFlag": "Y",
      "PerSeqNum": null,
      "PerRowid": "AAAXNtAAIAAIB4FAAX",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glperiod/AAAXNtAAIAAIB4FAAX",
          "name": "glperiod",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glperiod/AAAXNtAAIAAIB4FAAX",
          "name": "glperiod",
          "kind": "item"
        }
      ]
    }
  ],
  "totalResults": 2,
  "count": 2,
  "hasMore": false,
  "limit": 250,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glperiod",
      "name": "glperiod",
      "kind": "collection"
    }
  ]
}
```

example-1

Successful Response

```json
{
  "items": [
    {
      "PerAdjFlag": "N",
      "PerConschartCode": "010",
      "PerPer": 1,
      "PerYr": 2023,
      "PerStartDate": "2023-04-01",
      "PerEndDate": "2023-04-30",
      "PerOpenPeriodFlag": "Y",
      "PerSeqNum": null,
      "PerRowid": "AAAXNtAAKAAOD9UAAa",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glperiod/AAAXNtAAKAAOD9UAAa",
          "name": "glperiod",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glperiod/AAAXNtAAKAAOD9UAAa",
          "name": "glperiod",
          "kind": "item"
        }
      ]
    },
    {
      "PerAdjFlag": "N",
      "PerConschartCode": "010",
      "PerPer": 1,
      "PerYr": 2019,
      "PerStartDate": "2019-01-01",
      "PerEndDate": "2019-01-31",
      "PerOpenPeriodFlag": "Y",
      "PerSeqNum": null,
      "PerRowid": "AAAXNtAAIAAIB4FAAX",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glperiod/AAAXNtAAIAAIB4FAAX",
          "name": "glperiod",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glperiod/AAAXNtAAIAAIB4FAAX",
          "name": "glperiod",
          "kind": "item"
        }
      ]
    }
  ],
  "totalResults": 2,
  "count": 2,
  "hasMore": false,
  "limit": 250,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glperiod",
      "name": "glperiod",
      "kind": "collection"
    }
  ]
}
```

object
